Переполнение буфера в grip

Дата публикации:
10.03.2005
Дата изменения:
13.01.2009
Всего просмотров:
669
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
grip 3.x
Уязвимые версии: grip 3.2.0 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке CDDB протокола. Удаленный пользователь, контролирующий CDDB сервер, может вернуть приложению более 16 совпадений, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: nostatic.org/grip/

Решение: Установите последнюю версию 3.3.1 с сайта производителя.

Журнал изменений:

13.01.2009
Изменено описание уязвимости.

или введите имя

CAPTCHA